{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CON_ORDRE"; 
            externalType = NUMBER; 
            name = conOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ecd_commentaire"; 
            externalType = VARCHAR2; 
            name = ecdCommentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ecd_credit"; 
            externalType = NUMBER; 
            name = ecdCredit; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ecd_debit"; 
            externalType = NUMBER; 
            name = ecdDebit; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ecd_index"; 
            externalType = NUMBER; 
            name = ecdIndex; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ecd_libelle"; 
            externalType = VARCHAR2; 
            name = ecdLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "ecd_montant"; 
            externalType = NUMBER; 
            name = ecdMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ecd_ORDRE"; 
            externalType = NUMBER; 
            name = ecdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ecd_Postit"; 
            externalType = VARCHAR2; 
            name = ecdPostit; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "ecd_Reste_Emarger"; 
            externalType = NUMBER; 
            name = ecdResteEmarger; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ecd_Secondaire"; 
            externalType = VARCHAR2; 
            name = ecdSecondaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "ecd_sens"; 
            externalType = VARCHAR2; 
            name = ecdSens; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "ecr_ORDRE"; 
            externalType = NUMBER; 
            name = ecrOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ges_code"; 
            externalType = VARCHAR2; 
            name = gesCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (ecdOrdre, ecdSens, ecrOrdre, exeOrdre, gesCode, pcoNum); 
    className = "org.cocktail.fwkcktlcompta.server.metier.EOEcritureDetail"; 
    classProperties = (
        ecdCommentaire, 
        ecdCredit, 
        ecdDebit, 
        ecdIndex, 
        ecdLibelle, 
        ecdMontant, 
        ecdPostit, 
        ecdResteEmarger, 
        ecdSecondaire, 
        ecdSens, 
        toAccordsContrat, 
        toBrouillardDetails, 
        toEcriture, 
        toExercice, 
        toGestion, 
        toPlanComptableExer
    ); 
    externalName = "maracuja.Ecriture_Detail"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            ecdCommentaire, 
            ecdCredit, 
            ecdDebit, 
            ecdIndex, 
            ecdLibelle, 
            ecdMontant, 
            ecdPostit, 
            ecdResteEmarger, 
            ecdSecondaire, 
            ecdSens, 
            toAccordsContrat, 
            toBrouillardDetails, 
            toEcriture, 
            toExercice, 
            toGestion, 
            toPlanComptableExer
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktlcompta.client.metier.EOEcritureDetail"; 
    }; 
    name = "FwkCktlCompta_EcritureDetail"; 
    primaryKeyAttributes = (ecdOrdre); 
    relationships = (
        {
            destination = "FwkCktlCompta_AccordsContrat"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = conOrdre; }); 
            name = toAccordsContrat; 
        }, 
        {
            destination = "FwkCktlCompta_BrouillardDetail"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ecdOrdre; sourceAttribute = ecdOrdre; }); 
            name = toBrouillardDetails; 
        }, 
        {
            destination = "FwkCktlCompta_Ecriture"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ecrOrdre; sourceAttribute = ecrOrdre; }); 
            name = toEcriture; 
        }, 
        {
            destination = "FwkCktlCompta_JefyAdmin_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = toExercice; 
        }, 
        {
            destination = "FwkCktlCompta_Gestion"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = gesCode; sourceAttribute = gesCode; }); 
            name = toGestion; 
        }, 
        {
            destination = "FwkCktlCompta_PlanComptableExer"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }, 
                {destinationAttribute = pcoNum; sourceAttribute = pcoNum; }
            ); 
            name = toPlanComptableExer; 
        }
    ); 
}
